# TMCCommandBinding Class Reference

Inheritance diagram for TMCCommandBinding:

List of all members.

## Public Member Functions
| TMCCommandBinding ()
| TMCCommandBinding (const TMCCommandBinding &other)
virtual | ~TMCCommandBinding ()
int32 | GetCommandID () const
boolean | IsValid () const
boolean | GetShift () const
boolean | GetStickyShift () const
boolean | GetControl () const
boolean | GetAlt () const
int16 | GetChar () const
const TMCString & | GetCommandName () const
void | SetCommandID (int32 inCommandID)
void | SetShift (boolean inShift)
void | SetStickyShift (boolean inStickyShift)
void | SetControl (boolean inControl)
void | SetAlt (boolean inAlt)
void | SetChar (int16 inChar)
void | SetCommandName (const TMCString &inName)
boolean | Check (TMCPlatformEvent *event)
virtual void | Validate (boolean inShift, boolean inStickyShift, boolean inControl, boolean inAlt, int16 inChar, const TMCString &inCommandName)
## Protected Attributes
int32 | fCommandID
boolean | fIsValid
boolean | fShift
boolean | fStickyShift
boolean | fControl
boolean | fAlt
int16 | fChar
TMCDynamicString | fCommandName
int32 | fPrivate

## Constructor & Destructor Documentation

TMCCommandBinding::TMCCommandBinding | ( |  | ) |

TMCCommandBinding::TMCCommandBinding | ( | const TMCCommandBinding & | other | ) |

virtual TMCCommandBinding::~TMCCommandBinding | ( |  | ) | `[virtual]`

## Member Function Documentation

boolean TMCCommandBinding::Check | ( | TMCPlatformEvent * | event | ) |

boolean TMCCommandBinding::GetAlt | ( |  | ) | const`[inline]`

int16 TMCCommandBinding::GetChar | ( |  | ) | const`[inline]`

int32 TMCCommandBinding::GetCommandID | ( |  | ) | const`[inline]`

const TMCString& TMCCommandBinding::GetCommandName | ( |  | ) | const`[inline]`

boolean TMCCommandBinding::GetControl | ( |  | ) | const`[inline]`

boolean TMCCommandBinding::GetShift | ( |  | ) | const`[inline]`

boolean TMCCommandBinding::GetStickyShift | ( |  | ) | const`[inline]`

boolean TMCCommandBinding::IsValid | ( | void |  | ) | const`[inline]`

void TMCCommandBinding::SetAlt | ( | boolean | inAlt | ) | `[inline]`

void TMCCommandBinding::SetChar | ( | int16 | inChar | ) | `[inline]`

void TMCCommandBinding::SetCommandID | ( | int32 | inCommandID | ) | `[inline]`

void TMCCommandBinding::SetCommandName | ( | const TMCString & | inName | ) | `[inline]`

void TMCCommandBinding::SetControl | ( | boolean | inControl | ) | `[inline]`

void TMCCommandBinding::SetShift | ( | boolean | inShift | ) | `[inline]`

void TMCCommandBinding::SetStickyShift | ( | boolean | inStickyShift | ) | `[inline]`

virtual void TMCCommandBinding::Validate | ( | boolean | inShift,
|  | boolean | inStickyShift,
|  | boolean | inControl,
|  | boolean | inAlt,
|  | int16 | inChar,
|  | const TMCString & | inCommandName |
| ) |  |  | `[virtual]`

## Member Data Documentation

boolean TMCCommandBinding::fAlt`[protected]`

int16 TMCCommandBinding::fChar`[protected]`

int32 TMCCommandBinding::fCommandID`[protected]`

TMCDynamicString TMCCommandBinding::fCommandName`[protected]`

boolean TMCCommandBinding::fControl`[protected]`

boolean TMCCommandBinding::fIsValid`[protected]`

int32 TMCCommandBinding::fPrivate`[protected]`

boolean TMCCommandBinding::fShift`[protected]`

boolean TMCCommandBinding::fStickyShift`[protected]`

The documentation for this class was generated from the following file:

- MCCommandBinding.h